%define major 0.4
%define oname clutter-gst
Name: libclutter-gst
Version: %major.0
Release: alt1

Summary: Library integrating clutter with GStreamer

License: LGPL v2+
Group: System/Libraries
Url: http://www.clutter-project.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.clutter-project.org/sources/clutter-gst/%major/%oname-%version.tar.bz2
Patch: %name-link.patch

BuildPreReq: rpm-build-compat

# Automatically added by buildreq on Sat Jul 28 2007
BuildRequires: db2latex-xsl fontconfig-devel gcc-c++ glibc-devel gst-plugins-devel gtk-doc libclutter-devel libfreetype-devel

%description
Library integrating clutter with GStreamer.

%package devel
Summary: Header files for clutter-gst library
Group: Development/Other
Requires: %name = %version-%release
Requires: libclutter-devel >= 0.3
#Requires: gstreamer-devel >= 0.10
#Requires: gstreamer-plugins-base-devel >= 0.10

%description devel
Header files for clutter-gst library.

%package apidocs
Summary: clutter-gst API documentation
Group: Documentation
#Requires: gtk-doc-common

%description apidocs
clutter-gst API documentation.

%prep
%setup -q -n %oname-%version
%patch -p1

%build
%__autoreconf
%configure \
	--enable-gtk-doc \
	--disable-static \
	--with-html-dir=%_gtkdocdir

%make_build

%install
%make_install install \
	DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc AUTHORS ChangeLog README
%_libdir/libclutter-gst-*.so.*

%files devel
%_libdir/libclutter-gst-*.so
%_includedir/clutter-%major/clutter-gst/
%_pkgconfigdir/clutter-gst-*.pc

%files apidocs
%_gtkdocdir/%oname

%changelog
* Fri Jan 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- new version 0.4.0 (with rpmrb script)

* Sat Jul 28 2007 Vitaly Lipatov <lav@altlinux.ru> 0.3.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

